[Qa-jenkins-scm] [jenkins.debian.net] 01/01: reproducible Debian: add check for hanging mounts
Holger Levsen
holger at layer-acht.org
Tue Jun 20 17:29:39 UTC 2017
This is an automated email from the git hooks/post-receive script.
holger pushed a commit to branch master
in repository jenkins.debian.net.
commit 414349a1679d0f3b49c90732f066ea28dfdda107
Author: Holger Levsen <holger at layer-acht.org>
Date: Tue Jun 20 19:29:36 2017 +0200
reproducible Debian: add check for hanging mounts
Signed-off-by: Holger Levsen <holger at layer-acht.org>
---
bin/reproducible_node_health_check.sh | 10 ++++++++++
1 file changed, 10 insertions(+)
diff --git a/bin/reproducible_node_health_check.sh b/bin/reproducible_node_health_check.sh
index ea4266d..2e13f4d 100755
--- a/bin/reproducible_node_health_check.sh
+++ b/bin/reproducible_node_health_check.sh
@@ -75,6 +75,16 @@ elif [ "$(readlink /run/shm)" != "/dev/shm" ] ; then
fi
#
+# check for hanging mounts
+#
+echo "$(date -u) - testing whether running 'mount' takes forever..."
+TIMEOUT=$(timeout 15 mount)
+if [ $TIMEOUT -ne 0 ] ; then
+ echo "$(date -u) - running 'mount' takes forever, giving up."
+ exit 1
+fi
+
+#
# check for correct MTU
#
echo "$(date -u) - testing whether the network interfaces MTU is 1500..."
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/qa/jenkins.debian.net.git
More information about the Qa-jenkins-scm
mailing list